summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xauto-installer.sh2
-rw-r--r--includes/patch-includes.sh10
2 files changed, 11 insertions, 1 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 206523d..822fc61 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -109,7 +109,7 @@ if [ -n "$PATCHES" ]; then
-p "$PATCHDIR" \
-l "$LANGUAGE" \
-c "$CDMOUNT" \
- 1>/dev/null || diequietly
+ 1>/dev/null
fi
done
fi
diff --git a/includes/patch-includes.sh b/includes/patch-includes.sh
index 7081e9d..c9bbd30 100644
--- a/includes/patch-includes.sh
+++ b/includes/patch-includes.sh
@@ -36,3 +36,13 @@ function getpatch
wget $url -O $TMPDIR/$filename || die
fi
}
+
+function die
+{
+ # override main die for patches so they won't wipe out
+ # a whole install
+
+ echo " ! The patch install failed; sorry." 1>&2
+
+ exit 1
+}